Generated (Java SE 26 & JDK 26)
Description: declaration: module: java.compiler, package: javax.annotation.processing, annotation type: Generated
Keywords: javax.annotation.processing.Generated class

# Annotation Interface Generated

@Documented @Retention(SOURCE) @Target({PACKAGE,TYPE,METHOD,CONSTRUCTOR,FIELD,LOCAL_VARIABLE,PARAMETER}) public @interface Generated
The Generated annotation is used to mark source code that has been generated. It can also be used to differentiate user written code from generated code in a single file.

## Examples:

      @Generated("com.example.Generator")

      @Generated(value="com.example.Generator", date= "2017-07-04T12:08:56.235-0700")

      @Generated(value="com.example.Generator", date= "2017-07-04T12:08:56.235-0700",
         comments= "comment 1")

Since:
  9

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String[]`
  `value`
  The value element MUST have the name of the code generator.

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `comments`
  A place holder for any comments that the code generator may want to include in the generated code.
  `String`
  `date`
  Date when the source was generated.

- ## Element Details

  - ### value

    String[] value
    The value element MUST have the name of the code generator. The name is the fully qualified name of the code generator.
    Returns:
      The name of the code generator

  - ### date

    String date
    Date when the source was generated. The date element must follow the ISO 8601 standard. For example the date element would have the following value 2017-07-04T12:08:56.235-0700 which represents 2017-07-04 12:08:56 local time in the U.S. Pacific Time time zone.
    Returns:
      The date the source was generated
    Default:
      `""`

  - ### comments

    String comments
    A place holder for any comments that the code generator may want to include in the generated code.
    Returns:
      Comments that the code generated included
    Default:
      `""`